Package org.apache.wiki.tags

# Class IfNoSearchResultsTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.IfNoSearchResultsTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

public class IfNoSearchResultsTag extends WikiTagBase
If there have been no search results, then outputs the body text.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`IfNoSearchResultsTag()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, initTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IfNoSearchResultsTag

public IfNoSearchResultsTag()

## Method Details

### doWikiStartTag

public final int doWikiStartTag() throws IOException
Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `IOException`